'use strict';

var homedir = require('homedir'); // require('os').homedir // added in post-iojs
var leBinPath = homedir() + '/.local/share/letsencrypt/bin/letsencrypt';
var LEP = require('../');
var lep;

console.log("");
console.log("Let's Encrypt Python client:");
console.log(leBinPath);
console.log("");

lep = LEP.create(leBinPath, { debug: true });

lep.register('certonly', {
  standalone: true
, agreeTos: true
, email: require('./le-account').email
, domains: require('./le-account').domains

, server: LEP.stagingServer

, configDir: __dirname + '/letsencrypt.config'
, logsDir: __dirname + '/letsencrypt.logs'
, workDir: __dirname + '/letsencrypt.work'
, text: true
}, function (err, keys) {
  if (err) {
    console.error(err.stack || err);
    return;
  }

  console.log("");
  console.log('Number of opts:', keys.length);
  console.log('First 5:');
  console.log("");
  console.log(keys.sort().slice(0, 5).join("\n"));
  console.log("");
});
